Mailinglist Archive: opensuse-security-announce (26 mails)

< Previous Next >
[security-announce] openSUSE-SU-2012:1287-1: important: update for dbus-1, dbus-1-x11
openSUSE Security Update: update for dbus-1, dbus-1-x11
______________________________________________________________________________

Announcement ID: openSUSE-SU-2012:1287-1
Rating: important
References: #697105
Cross-References: CVE-2012-3524
Affected Products:
openSUSE 12.2
openSUSE 12.1
openSUSE 11.4
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update fixed CVE-2012-3524 (getenv() vulnerability),
which can be used by local attackers to escalate privileges
to root.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2012-670

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-670

- openSUSE 11.4:

zypper in -t patch openSUSE-2012-670

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

dbus-1-1.5.12-4.6.1
dbus-1-debuginfo-1.5.12-4.6.1
dbus-1-debugsource-1.5.12-4.6.1
dbus-1-devel-1.5.12-4.6.1
dbus-1-x11-1.5.12-4.6.1
dbus-1-x11-debuginfo-1.5.12-4.6.1
dbus-1-x11-debugsource-1.5.12-4.6.1
libdbus-1-3-1.5.12-4.6.1
libdbus-1-3-debuginfo-1.5.12-4.6.1

- openSUSE 12.2 (x86_64):

dbus-1-32bit-1.5.12-4.6.1
dbus-1-debuginfo-32bit-1.5.12-4.6.1
dbus-1-devel-32bit-1.5.12-4.6.1
libdbus-1-3-32bit-1.5.12-4.6.1
libdbus-1-3-debuginfo-32bit-1.5.12-4.6.1

- openSUSE 12.2 (noarch):

dbus-1-devel-doc-1.5.12-4.6.1

- openSUSE 12.1 (i586 x86_64):

dbus-1-1.5.8-2.6.1
dbus-1-debuginfo-1.5.8-2.6.1
dbus-1-debugsource-1.5.8-2.6.1
dbus-1-devel-1.5.8-2.6.1
dbus-1-x11-1.5.8-2.6.1
dbus-1-x11-debuginfo-1.5.8-2.6.1
dbus-1-x11-debugsource-1.5.8-2.6.1

- openSUSE 12.1 (x86_64):

dbus-1-32bit-1.5.8-2.6.1
dbus-1-debuginfo-32bit-1.5.8-2.6.1
dbus-1-devel-32bit-1.5.8-2.6.1

- openSUSE 12.1 (noarch):

dbus-1-devel-doc-1.5.8-2.6.1

- openSUSE 12.1 (ia64):

dbus-1-debuginfo-x86-1.5.8-2.6.1
dbus-1-x86-1.5.8-2.6.1

- openSUSE 11.4 (i586 x86_64):

dbus-1-1.4.1-7.27.1
dbus-1-debuginfo-1.4.1-7.27.1
dbus-1-debugsource-1.4.1-7.27.1
dbus-1-devel-1.4.1-7.27.1

- openSUSE 11.4 (x86_64):

dbus-1-32bit-1.4.1-7.27.1
dbus-1-debuginfo-32bit-1.4.1-7.27.1
dbus-1-devel-32bit-1.4.1-7.27.1

- openSUSE 11.4 (noarch):

dbus-1-devel-doc-1.4.1-7.27.1

- openSUSE 11.4 (ia64):

dbus-1-debuginfo-x86-1.4.1-7.27.1
dbus-1-x86-1.4.1-7.27.1


References:

http://support.novell.com/security/cve/CVE-2012-3524.html
https://bugzilla.novell.com/697105

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
List Navigation
This Thread
  • No further messages